Skip to content

Update information for a single user. To update information for multiple users, see Retrieve All Users.

PUT/api/{version}/objects/users/{id}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{id}The user id field value. Use the value me to update information for the currently authenticated user.

In the body of the request, add any editable fields you wish to update. To remove existing field values, include the field name and set its value to null.

Example Request: Disable User at Domain-Level

Section link for Example Request: Disable User at Domain-Level

Only Domain Admins may use this request.

When updating a user, domain_active__v can be (optionally) included in the input and set to either true or false to enable or disable the user at the domain-level. Disabling a user at the domain-level will disable the user in every Vault in your domain. Re-enabling a user enables them in the domain but does not re-activate them in their Vaults. After re-enabling a user, you must update their Vault membership to make them active in the individual Vaults.

This request will set the user (ID: 25001) profile to inactive in all Vaults in your domain. The user will still be a member in the Vaults and retain their license types and security profiles, but their user profile will be inactive and they will no longer have access to any Vaults in your domain.

Example Request: Re-Enable User at Domain-Level

Section link for Example Request: Re-Enable User at Domain-Level

Only Domain Admins may use this request.

This request will set the (previously inactive) user (ID: 25001) profile to active in your Vault domain. However, they will still be inactive in and unable to access your domain Vaults. Use the Update Vault Membership request below to set their status to active in the individual Vaults in your domain.

Example Request: Promote a User to Domain Admin

Section link for Example Request: Promote a User to Domain Admin

Only Domain Admins may use this request.

This request will promote a user to Domain Admin. To remove a user from the Domain Admin role, set the is_domain_admin__v field to false. Each domain must have at least one user in the Domain Admin role.

Request : Update User Profile Information

Section link for Request : Update User Profile Information
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "user_timezone__v=America/Los Angeles" \ -d "company__v=VeevaPharm" \ -d "user_title__v=Product Manager" \ -d "alias__v=Skipper" \ https://myvault.veevavault.com/api/v24.1/objects/users/25001

Request : Disable User at Domain-Level

Section link for Request : Disable User at Domain-Level
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "domain_active__v=false" \ https://myvault.veevavault.com/api/v24.1/objects/users/25001

Request : Re-Enable User at Domain-Level

Section link for Request : Re-Enable User at Domain-Level
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "domain_active__v=false" \ https://myvault.veevavault.com/api/v24.1/objects/users/25001

Request : Promote a User to Domain Admin

Section link for Request : Promote a User to Domain Admin
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "is_domain_admin__v=true" \ https://myvault.veevavault.com/api/v24.1/objects/users/25001
{ "responseStatus": "SUCCESS", "id": 25001 }